Competitor AdsGet one ad

Get one ad

The ad with its full analysis, transcript and signed media links (valid about an hour).

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/competitor-ads/ads/123e4567-e89b-12d3-a456-426614174000?location_id=example_string&include=raw" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "row_id": "1747063449962897:ad",
    "ad_archive_id": "example_string",
    "creative_type": "example_string",
    "card_index": 42,
    "card_count": 10,
    "page_id": "example_string",
    "page_name": "John Doe",
    "is_active": true,
    "gone": true,
    "gone_at": "2024-12-25T10:00:00Z",
    "start_date": "2024-12-25T10:00:00Z",
    "end_date": "2024-12-25T10:00:00Z",
    "days_running": 42,
    "display_format": "example_string",
    "publisher_platforms": [
      "example_string"
    ],
    "title": "example_string",
    "body": "example_string",
    "caption": "example_string",
    "cta_text": "example_string",
    "cta_type": "example_string",
    "link_url": "example_string",
    "landing_page": {
      "url": "https://juvenon.com/pages/bf7",
      "domain": "juvenon.com",
      "path": "/pages/bf7"
    },
    "ad_url": "example_string",
    "has_video": true,
    "video_duration_s": 3.14,
    "media_status": "pending",
    "analysis_status": "pending",
    "hook": "example_string",
    "hook_start_s": 3.14,
    "hook_end_s": 3.14,
    "tags": {
      "hook_type": [
        "example_string"
      ],
      "angle": [
        "example_string"
      ],
      "offer": [
        "example_string"
      ]
    },
    "epic": {
      "all_stages_in_order": true,
      "rules_met": 42,
      "rules_total": 42
    },
    "thumbnail_url": "example_string",
    "first_seen_at": "2024-12-25T10:00:00Z",
    "last_seen_at": "2024-12-25T10:00:00Z",
    "last_seen_active_at": "2024-12-25T10:00:00Z",
    "link_description": "example_string",
    "media": [
      {
        "kind": "video",
        "index": 42,
        "url": "example_string",
        "bytes": 42,
        "content_type": "example_string",
        "skipped": "example_string",
        "error": "example_string"
      }
    ],
    "analysis": {
      "taxonomy_version": 2,
      "has_transcript": true,
      "fields": {
        "hook": {
          "text": "example_string",
          "confidence": 3.14,
          "source": "transcript",
          "start_s": 3.14,
          "end_s": 3.14
        },
        "intro": {
          "text": "example_string",
          "confidence": 3.14,
          "source": "transcript",
          "start_s": 3.14,
          "end_s": 3.14
        },
        "problem": {
          "text": "example_string",
          "confidence": 3.14,
          "source": "transcript",
          "start_s": 3.14,
          "end_s": 3.14
        },
        "mechanism": {
          "text": "example_string",
          "confidence": 3.14,
          "source": "transcript",
          "start_s": 3.14,
          "end_s": 3.14
        },
        "offer": {
          "text": "example_string",
          "confidence": 3.14,
          "source": "transcript",
          "start_s": 3.14,
          "end_s": 3.14
        },
        "cta": {
          "text": "example_string",
          "confidence": 3.14,
          "source": "transcript",
          "start_s": 3.14,
          "end_s": 3.14
        }
      },
      "hook_start_s": 3.14,
      "hook_end_s": 3.14,
      "tags": {
        "hook_type": [
          "example_string"
        ],
        "angle": [
          "example_string"
        ],
        "offer": [
          "example_string"
        ]
      },
      "probabilities": {},
      "epic": {
        "copy": {
          "words": 42,
          "you_top_half": 42,
          "you_bottom_half": 42
        },
        "transcript": {
          "words": 42,
          "you_top_half": 42,
          "you_bottom_half": 42
        },
        "you_only_bottom_half": true,
        "checks": {},
        "checks_error": "example_string",
        "checks_input_tokens": 42,
        "stages": {
          "copy": {
            "labels": [
              {
                "i": 42,
                "stage": "E",
                "p": 3.14,
                "probabilities": {},
                "text": "example_string"
              }
            ],
            "sequence": "EPIC",
            "stages_present": "EPIC",
            "in_order": true,
            "all_stages_in_order": true,
            "paragraphs_total": 42,
            "paragraphs_assessed": 42,
            "truncated": true,
            "input_tokens": 42,
            "cost_usd": 3.14,
            "skipped": "under 40 words",
            "error": "example_string"
          },
          "transcript": {
            "labels": [
              {
                "i": 42,
                "stage": "E",
                "p": 3.14,
                "probabilities": {},
                "text": "example_string"
              }
            ],
            "sequence": "EPIC",
            "stages_present": "EPIC",
            "in_order": true,
            "all_stages_in_order": true,
            "paragraphs_total": 42,
            "paragraphs_assessed": 42,
            "truncated": true,
            "input_tokens": 42,
            "cost_usd": 3.14,
            "skipped": "under 40 words",
            "error": "example_string"
          }
        },
        "all_stages_in_order": true,
        "rules_followed": {
          "met": 42,
          "total": 42,
          "rules": [
            {
              "rule": "not:engage.direct_question",
              "met": true
            }
          ]
        },
        "input_tokens": 42,
        "cost_usd": 3.14,
        "error": "example_string"
      }
    },
    "analysis_cost_usd": 3.14,
    "analysis_input_tokens": 42,
    "analyzed_at": "2024-12-25T10:00:00Z",
    "transcript": {
      "status": "pending",
      "text": "example_string",
      "sentences": [
        {
          "start": 3.14,
          "end": 3.14,
          "text": "example_string"
        }
      ],
      "duration_s": 3.14,
      "error": "example_string"
    },
    "raw": {}
  }
}
GET
/client/v1/competitor-ads/ads/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

query
includestring

raw adds the scraped Ad Library row.

Options: raw
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Path Parameters

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

includestring

raw adds the scraped Ad Library row.

Allowed values:raw

Responses

successboolean
datastring